/*
 * @Date: 2021-12-07 17:32:38
 * @LastEditors: JinxuChen
 * @LastEditTime: 2021-12-07 17:40:55
 * @FilePath: \GpsCardAdmin\src\api\common-exception.js
 * @description: 通用告警关键字
 */
import request from '@/utils/request'
export const APIExceptionGen = {
    getRecognitionGen,
    changeRecognitionGen,
    delRecognitionGen
};
export default APIExceptionGen;
// 自动报警通用关键词查询（分页）
function getRecognitionGen(params) {
    return request({
        url: '/api/v1/Fence/AreaGeneralFilterQuery',
        method: 'post',
        data: params,
    });
}
// 新增/编辑自动报通用关键词
function changeRecognitionGen(params) {
    return request({
        url: '/api/v1/Fence/AddAreaGeneralFilter',
        method: 'post',
        data: params,
    });
}
// 删除系统/通用关键词
function delRecognitionGen(params) {
    return request({
        url: '/api/v1/Fence/DeleteAreaAlarmFilter',
        method: 'post',
        data: params,
    });
}